# Necessary architectural aspects

We have quite a number of important architectural aspects to consider in NuNet which are not directly related to computing model, but should be approached considering that model and properly aligned. 

*TBD*

## Pseudonymous identity system

## Security architecture

## Executables

## Data persistence

## Data access
